/***************************************************************************
                          salepoint.h  -  description
                             -------------------
    begin                : Wed May  2 16:34:08 WEST 2001
    copyright            : (C) 2001 by Jess David Daz Leal
    email                : davileal@terra.es
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SALEPOINT_H
#define SALEPOINT_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
 
 
#include <qwidget.h>

#include <qlistbox.h>
#include <qlineedit.h>
#include <qspinbox.h>

#include "shopDB.h"


class SalePoint : public QWidget
{
  Q_OBJECT
  public:
	SalePoint(QWidget* parent=0, const char* name=0);
	~SalePoint();

  public slots:

  signals:

  protected:

  private slots:
	void remIfSelected();
	void soldProduct();
	void reEvaluateTotal();
	void prodSelected();
	void printTicket();
	void selectProd();

  private:
	const ProdsToSell* prodsToSell; // Used in several SalePoint class methods

	QListBox* lbSoldProds;
	QLineEdit* cod;
	QLineEdit* desc;
	QSpinBox* units;
	QLineEdit* priceC1;
	QLineEdit* priceC2;
	QLineEdit* totalC1;
	QLineEdit* totalC2;
	QListBox* lbProdsToSell;
	QLineEdit* totalSold;
	void reEvaluateSoldProdTotal();
	short TheMostLongProdCode;
};

#endif

