/***************************************************************************
                          shopmanage.h  -  description
                             -------------------
    begin                : Tue Jun  5 15:46:37 WEST 2001
    copyright            : (C) 2001 by Jess David Daz Leal
    email                : davileal@terra.es
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SHOPMANAGE_H
#define SHOPMANAGE_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <kapp.h>

#include <qvbox.h>

#include "buy.h"
#include "prodsManage.h"
#include "reports.h"
#include "fitInventory.h"

class ShopManage : public QVBox
{
  Q_OBJECT
  public:
	ShopManage(QWidget* parent=0, const char* name=0);
	~ShopManage();

  public slots:

  signals:

  private slots:
  	void showBuyW();
	void showProdsManageW();
	void showReportsW();
	void showFitInventoryW();

  private:
	QPushButton* buy;
	QPushButton* management;
	QPushButton* report;
	QPushButton* inventory;

	Buy*          buyWindow;
	ProdsManage*  prodsManageWindow;
	Reports*      reportsWindow;
	FitInventory* fitInventoryWindow;
};

#endif
