/***************************************************************************
                          buy.h  -  description
                             -------------------
    begin                : Tue Jun 5 2001
    copyright            : (C) 2001 by Jess David Daz Leal
    email                : davileal@terra.es
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BUY_H
#define BUY_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <qwidget.h>

#include <qlistbox.h>
#include <qlineedit.h>
#include <qspinbox.h>
#include <qvalidator.h>

#include "shopDB.h"


class Buy : public QWidget
{
  Q_OBJECT
  public:
	Buy(QWidget* parent=0, const char* name=0);
	~Buy();

  public slots:

  signals:

  private slots:
	void remIfSelected();
	void boughtProduct();
	void reEvaluateTotal();
	void prodSelected();
	void savePurchasedProds();
	void selectProd();
	void checkTotalFormat();

  private:
	const ProdsToBuy* prodsToBuy; // Used in several Buy class methods

	QListBox* lbBoughtProds;
	QLineEdit* cod;
	QLineEdit* desc;
	QSpinBox* units;
	QLineEdit* totalC1;
	QDoubleValidator* doubleValidator;
	QString previousValue;
	QListBox* lbProdsToBuy;
	QLineEdit* totalBought;
	void reEvaluateBoughtProdTotal();
	short TheMostLongProdCode;
};

#endif
