/***************************************************************************
                          fitInventory.h  -  description
                             -------------------
    begin                : Tue Jun 5 2001
    copyright            : (C) 2001 by Jess David Daz Leal
    email                : davileal@terra.es
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FITINVENTORY_H
#define FITINVENTORY_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <qwidget.h>

#include <qlistbox.h>
#include <qlineedit.h>

#include "shopDB.h"


class FitInventory : public QWidget
{
  Q_OBJECT
  public:
	FitInventory(QWidget* parent=0, const char* name=0);
	~FitInventory();

  public slots:

  signals:

  protected:

  private slots:
	void prodSelected();
	void selectProd();
	void fitProd();

  private:
	const ProdsToBuy* prodsToBuy; // Used in several Buy class methods

	QLineEdit* cod;
	QLineEdit* desc;
	QLineEdit* longDsc;
	QLineEdit* virtualUnits;
	QListBox* lbProds;
	short TheMostLongProdCode;
};

#endif
